Subject: RE: bug#45821: Emacs UDP support on Windows

From: Alex Matei <[email-masked]>
Date: Mon, 2 Jan 2023 17:57:47 +0000

Thank you! I will take a look at the instructions that we have and try to reproduce from scratch and see if I run into any issues  😊

I get what you are saying, around the fact that you have to pay the price once, and then you are all set!

Sent from Mail<https://go.microsoft.com/fwlink/?LinkId=550986> for Windows

From: Eli Zaretskii<mailto:[email-masked]>
Sent: Monday, January 2, 2023 9:01 AM
To: Alex Matei<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: bug#45821: Emacs UDP support on Windows

> From: Alex Matei <[email-masked]>
> CC: "[email-masked]" <[email-masked]>, "[email-masked]"
>        <[email-masked]>
> Date: Mon, 2 Jan 2023 15:59:23 +0000
>
> I like the nt/INSTALL.W64 file but somehow I found Step-by-step instructions to build Emacs for Windows 64
> bit with MSYS2 and MinGW-w64. Now `native-comp` supported. (github.com) more useful.

I don't see there anything that we don't have.  I do see a lot of
stuff unrelated to building Emacs per se, something that just sounds
like personal preferences of whoever wrote that post.

> I was wondering
> if we are allowed to add links to such gists / blogposts? (I understand that they can become obsolete at
> some point, but a section like useful references would be nice)

I don't think we should be responsible for someone else's posts.  It
is better to maintain our instructions to be accurate and with all the
necessary details.

> * If you look at the gist, it gives a more detailed step-by-step approach around setting MYSYS
> * I am not 100% that the packages listed in nt/INSTALL.W64 are sufficient, on a fresh installation of MYSYS
>  -> I will have to check if there are any gaps

Please do tell if you find anything missing or incorrect, and we will
fix those deficiencies.

> My problem with patching:
>
> * I didn’t know how to consume @Robert Pluim’s change ☹ I had to read a blog post (Working with Git and
>  patches in Emacs (ane.iki.fi)) on how git am works and that I can manually save the text from his change
>  to a file and then use that file to apply changes to my Emacs branch…
> * What made it weird in the beginning was that I only had the information from #45821 - 28.0.50; Add UDP
>  support for Emacs on Windows - GNU bug report logs and most of the apply patch examples refer to you
>  having received an email with the patches as an attachment and then performing actions on it (in my
>  case, I didn’t have any email)
>
>
>
> For me, having a good walkthrough with examples is really useful and that’s why I am asking if we can
> include links to such blogposts:
>
> * I benefited from a walkthrough on MYSYS installation + emacs building
> * I benefited from a walkthrough on email patches
>
> I am hoping others could find this useful too when they first take a look at building Emacs themselves.

This is just the steep learning curve, something that each one of us
has to go through just once.  It is impossible to have all this
information in our installation instructions.